"use client";

import Image from "next/image";

import { motion } from "framer-motion";

interface CompanyLogoProps {
  name: string;
  logo: string;
  index: number;
}

export function CompanyLogo({ name, logo, index }: CompanyLogoProps) {
  return (
    <motion.div
      className="relative aspect-[3/1]"
      initial={{ opacity: 0, y: 20 }}
      animate={{ opacity: 1, y: 0 }}
      transition={{ delay: index * 0.1, duration: 0.5 }}
    >
      <Image src={logo} alt={name} fill className="object-contain" />
    </motion.div>
  );
}
